import { Component, OnDestroy, OnInit, ViewEncapsulation } from '@angular/core';
import { Subscription } from 'rxjs';

declare var Stimulsoft: any;

@Component({
  selector: 'app-print-difetti-sessione',
  templateUrl: './print-difetti-sessione.component.html',
  styleUrls: ['./print-difetti-sessione.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class PrintDifettiSessioneComponent implements OnInit, OnDestroy {

  options: any = new Stimulsoft.Viewer.StiViewerOptions();
  viewer: any = new Stimulsoft.Viewer.StiViewer(this.options, 'StiViewer', false);
  
  report: any = new Stimulsoft.Report.StiReport();

  private subscriptions = new Subscription();

  constructor() { }

  ngOnInit() {
    
    const json_of_backend_rendered_report = require('../../../../assets/json/report_data.json');

    this.report.load(json_of_backend_rendered_report);

    this.viewer.report = this.report;
    this.options.toolbar.viewMode = Stimulsoft.Viewer.StiWebViewMode.Continuous;

    this.viewer.renderHtml('viewer');
  }

  ngOnDestroy(){
    this.subscriptions.unsubscribe();
  }
}
